libstdc++: __gnu_cxx::encoding_state Class Reference

libstdc++

__gnu_cxx::encoding_state Class Reference

`#include <codecvt_specializations.h>`

## Public Types
typedef iconv_t | descriptor_type

## Public Member Functions
| encoding_state (const char *__int, const char *__ext, int __ibom=0, int __ebom=0, int __bytes=1)
| encoding_state (const encoding_state &__obj)
int | character_ratio () const
int | external_bom () const
const std::string | external_encoding () const
bool | good () const throw ()
const descriptor_type & | in_descriptor () const
int | internal_bom () const
const std::string | internal_encoding () const
encoding_state & | operator= (const encoding_state &__obj)
const descriptor_type & | out_descriptor () const

## Protected Member Functions
void | construct (const encoding_state &__obj)
void | destroy () throw ()
void | init ()

## Protected Attributes
int | _M_bytes
int | _M_ext_bom
std::string | _M_ext_enc
descriptor_type | _M_in_desc
int | _M_int_bom
std::string | _M_int_enc
descriptor_type | _M_out_desc

## Detailed Description

Extension to use iconv for dealing with character encodings.

Definition at line 53 of file codecvt_specializations.h.

## Member Typedef Documentation

## ◆ descriptor_type

typedef iconv_t __gnu_cxx::encoding_state::descriptor_type

Definition at line 59 of file codecvt_specializations.h.

## Constructor & Destructor Documentation

## ◆ encoding_state() [1/3]

__gnu_cxx::encoding_state::encoding_state | ( |  | ) |
| inlineexplicit

Definition at line 87 of file codecvt_specializations.h.

## ◆ encoding_state() [2/3]

__gnu_cxx::encoding_state::encoding_state | ( | const char * | __int,
|  | const char * | __ext,
|  | int | __ibom = 0,
|  | int | __ebom = 0,
|  | int | __bytes = 1 )
| inlineexplicit

Definition at line 92 of file codecvt_specializations.h.

## ◆ encoding_state() [3/3]

__gnu_cxx::encoding_state::encoding_state | ( | const encoding_state & | __obj | ) |
| inline

Definition at line 106 of file codecvt_specializations.h.

## ◆ ~encoding_state()

__gnu_cxx::encoding_state::~encoding_state | ( |  | ) |
| inline

Definition at line 117 of file codecvt_specializations.h.

## Member Function Documentation

## ◆ character_ratio()

int __gnu_cxx::encoding_state::character_ratio | ( |  | ) | const
| inline

Definition at line 130 of file codecvt_specializations.h.

## ◆ construct()

void __gnu_cxx::encoding_state::construct | ( | const encoding_state & | __obj | ) |
| inlineprotected

Definition at line 180 of file codecvt_specializations.h.

## ◆ destroy()

void __gnu_cxx::encoding_state::destroy | ( |  | ) |
throw | ( | ) |  |  |
| inlineprotected

Definition at line 192 of file codecvt_specializations.h.

## ◆ external_bom()

int __gnu_cxx::encoding_state::external_bom | ( |  | ) | const
| inline

Definition at line 146 of file codecvt_specializations.h.

## ◆ external_encoding()

const std::string __gnu_cxx::encoding_state::external_encoding | ( |  | ) | const
| inline

Definition at line 142 of file codecvt_specializations.h.

## ◆ good()

bool __gnu_cxx::encoding_state::good | ( |  | ) | const
throw | ( | ) |  |  |
| inline

Definition at line 121 of file codecvt_specializations.h.

## ◆ in_descriptor()

const descriptor_type & __gnu_cxx::encoding_state::in_descriptor | ( |  | ) | const
| inline

Definition at line 150 of file codecvt_specializations.h.

## ◆ init()

void __gnu_cxx::encoding_state::init | ( |  | ) |
| inlineprotected

Definition at line 159 of file codecvt_specializations.h.

## ◆ internal_bom()

int __gnu_cxx::encoding_state::internal_bom | ( |  | ) | const
| inline

Definition at line 138 of file codecvt_specializations.h.

## ◆ internal_encoding()

const std::string __gnu_cxx::encoding_state::internal_encoding | ( |  | ) | const
| inline

Definition at line 134 of file codecvt_specializations.h.

## ◆ operator=()

encoding_state & __gnu_cxx::encoding_state::operator= | ( | const encoding_state & | __obj | ) |
| inline

Definition at line 111 of file codecvt_specializations.h.

## ◆ out_descriptor()

const descriptor_type & __gnu_cxx::encoding_state::out_descriptor | ( |  | ) | const
| inline

Definition at line 154 of file codecvt_specializations.h.

## Member Data Documentation

## ◆ _M_bytes

int __gnu_cxx::encoding_state::_M_bytes
| protected

Definition at line 83 of file codecvt_specializations.h.

## ◆ _M_ext_bom

int __gnu_cxx::encoding_state::_M_ext_bom
| protected

Definition at line 75 of file codecvt_specializations.h.

## ◆ _M_ext_enc

std::string __gnu_cxx::encoding_state::_M_ext_enc
| protected

Definition at line 66 of file codecvt_specializations.h.

## ◆ _M_in_desc

descriptor_type __gnu_cxx::encoding_state::_M_in_desc
| protected

Definition at line 69 of file codecvt_specializations.h.

## ◆ _M_int_bom

int __gnu_cxx::encoding_state::_M_int_bom
| protected

Definition at line 78 of file codecvt_specializations.h.

## ◆ _M_int_enc

std::string __gnu_cxx::encoding_state::_M_int_enc
| protected

Definition at line 63 of file codecvt_specializations.h.

## ◆ _M_out_desc

descriptor_type __gnu_cxx::encoding_state::_M_out_desc
| protected

Definition at line 72 of file codecvt_specializations.h.

The documentation for this class was generated from the following file:

- codecvt_specializations.h